Bug 830062 - Can't specify output directory for publishing
Can't specify output directory for publishing
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: 3.2
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 02:30 EDT by Raymond Mancy
Modified: 2014-12-07 20:12 EST (History)
6 users (show)

See Also:
Fixed In Version: 3.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 00:47:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2012-06-08 02:30:58 EDT
Description of problem:

When running publican build there is no way of specifying an output path for newly created files.

Version-Release number of selected component (if applicable):

2.1

How reproducible:

Always

Steps to Reproduce:
1.publican build --publish --langs en-US --formats html
2.
3.
  
Actual results:

Files are automatically put into the publish dir.

Expected results:

have an --output or similar option specifying a path
where the files can be put.

Additional info:
Comment 1 Fedora End Of Life 2013-04-03 13:11:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Ruediger Landmann 2013-04-16 21:42:25 EDT
Moving upstream
Comment 3 HSS Product Manager 2013-07-09 03:17:33 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 4 Jeff Fearn 2013-07-10 22:03:13 EDT
Added --pub_dir option to allow overriding publish directory. Updated docs.

To ssh://git.fedorahosted.org/git/publican.git
   136f184..608cb78  HEAD -> devel
Comment 5 Scott Radvan 2013-07-18 19:58:57 EDT
verified with publican-3.1.5-0.fc19.t61.noarch
Comment 6 Jeff Fearn 2013-08-09 00:47:15 EDT
The fix for this bug has been shipped in publican 3.2.0

Note You need to log in before you can comment on or make changes to this bug.